Subject: Re: [Diffserv] diffserv implementation on linux(rh 8.0)

From: nerdboy <[email-masked]>
Date: Sat, 4 Jan 2003 16:16:41 +0530

many many thanks to mohit , abiola and francis.
i have spent the past few days poring over the lartc and diffserv archives.
although i now know how to use the 'tc' commands , i yet am unaware of any way 
to test if tc works as it should do.
presume it can be tested by passing packets throught the network.
if any body in here who has implemented diffserv and aplied it to set of mpls 
routers can tell me about how to go about it, i'd be grateful.

thanking you in anticipation
nerd
(have attached the list of responses i received in the hope that they will be 
of use to other members.)

From: 
Mohit Singh <[email-masked]>
u can implement it using open source libraries
available for linux implementations - e.g. RED /RIO
for linux !
to check how it works , u need to ascertain quality of
the data u are processing.
e.g.,  for VoIP qos, u need to test voice quality
depending on system invloved.
plz be in touch...

mohit
------------------------------
"Abiola O. Adegboyega" <[email-masked]>
Hi there!

1. Use a network simulator
(ns-2 is available for free at www.isi.edu/nsnam/ns)
2. Follow the instructions and install on unix.
3. There are example scripts that you can simulate and observe results
4. You might want to use some perl scripts to measure average queue
lengths, bandwidth provisioned etc.
If u need further help, let me know.
Rgds,
'Biola.
------------------------
From: "Scott Allen" <[email-masked]>
If you receive direct replies to your email, could you forward me copies of 
the DiffServ advice? I also am tasked with building a DiffServ network (using 
a Cisco infrastructure however, not Linux, but who knows how things might 
change) and I'm interested in the replies you receive. If they are global 
replies to [email-masked] <mailto:[email-masked]> , of course, I'll see 
them. 
  
Thanks. 
  
Scott Allen 
Chief Information Officer 
TeleSuite Corporation 
937-836-9995 option 2 
----------------------------
[email-masked]
you could try looking at this site
http://www.nwfusion.com/auddev/pop/LANFOC208.html
then hit the Cisco site for some teach yourself tutorials.
then arm yourself with a modelling tool and build a model of the network.
When it gives you the required theoretical performance buy some routers and 
build it.
Frank  Domoney
Glencroft Ltd
Cambridge

_______________________________________________
diffserv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html